Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1358108 - [ESXi][RHEL7.3]open-vm-tools requires perl but spec missing it in Requires section
Summary: [ESXi][RHEL7.3]open-vm-tools requires perl but spec missing it in Requires se...
Keywords:
Status: NEW
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: open-vm-tools
Version: 7.2
Hardware: All
OS: Linux
urgent
medium
Target Milestone: rc
: ---
Assignee: Cathy Avery
QA Contact: ldu
URL:
Whiteboard:
: 1420620 1539802 (view as bug list)
Depends On:
Blocks: 1594286
TreeView+ depends on / blocked
 
Reported: 2016-07-20 05:27 UTC by Pushpendra Chavan
Modified: 2018-12-05 14:01 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2456451 None None None 2016-07-21 09:24:51 UTC

Description Pushpendra Chavan 2016-07-20 05:27:55 UTC
Description of problem:

According to:

https://access.redhat.com/solutions/1449563

...the functionality of open-vm-tools-deploypkg (from VMware) was integrated into open-vm-tools (from Red Hat) starting with RHEL 7.2 and open-vm-tools-9.10.2-4.el7.

Deploypkg requires Perl for some of its functionality (VMware's own RPM was missing this "Requires"), but Red Hat's new open-vm-tools that includes deploypkg doesn't require Perl (it actually requires, but spec doesn't mention it in requires:)

Please add "Requires: perl" to open-vm-tools.

Version-Release number of selected component (if applicable):
open-vm-tools-9.10.2-4.el7.x86_64

How reproducible:
Always.

Steps to Reproduce:
1. Without Perl the VMware Guest OS Customizations do not work at all (network configuration not set / updated and custom scripts are not run), which is quite a bit of the intended functionality.


Actual results:
perl doesn't get installed which is required for some of open-vm-tools functionality

Expected results:
This should install perl as a dependency.

Additional info:
Adding VMWare Group to this bz so that we can get there feedbacks as well.

Comment 2 Richard W.M. Jones 2016-07-20 09:31:20 UTC
Seems like a legitimate request.

Ravindra: Is it OK to add the Perl dependency?  If we add a hard
'Requires: perl' on the base package, that will mean open-vm-tools
will be much harder to include in minimal Fedora & RHEL installs
(since they tend to dislike including Perl).  The only way to
work around that is to move deploypkg to a separate subpackage.

Comment 3 Ravindra Kumar 2016-07-21 02:03:27 UTC
(In reply to Richard W.M. Jones from comment #2)
> Seems like a legitimate request.
> 
> Ravindra: Is it OK to add the Perl dependency?

Rich, I will discuss this within our group and get back. Is documenting this in your knowledge base or release notes an option here?

Comment 4 Pushpendra Chavan 2016-07-21 09:16:48 UTC
(In reply to Ravindra Kumar from comment #3)

> 
> Rich, I will discuss this within our group and get back. Is documenting this
> in your knowledge base or release notes an option here?

I can create a KCS base _for quick remedy_ but fixing this problem out will be the requested solution. I will attach the published KCS to this bz shortly. Adding this into Actual Documentation will take time, because that follows the same BZ workflow.

- Pushpendra

Comment 5 Pushpendra Chavan 2016-07-21 09:26:28 UTC
See this.

Why are some of the VMware Guest OS Customizations not working even after installing open-vm-tools ? 
https://access.redhat.com/solutions/2456451

This is still in unverified state. Once I get confirmation from VMWare as well that it's really required, we can mark it Verified.

Again, the fix will be better, or an official statement from both Vendors on this.

Thanks,
Pushpendra

Comment 6 Ravindra Kumar 2016-08-05 03:35:39 UTC
Thanks Pushpendra. This needs to be documented.

Please document it for now and we will work on removing the dependency in future.

Comment 12 Richard W.M. Jones 2017-02-09 10:28:56 UTC
*** Bug 1420620 has been marked as a duplicate of this bug. ***

Comment 18 John Savanyo 2017-06-27 21:34:18 UTC
This issues is related to Bug 1418930 which is a request to increase package granularity of open-vm-tools. If there was more package granularity, then the perl dependency could be handled better since only one plug-in requires perl.

Comment 19 Richard W.M. Jones 2018-01-29 17:08:13 UTC
*** Bug 1539802 has been marked as a duplicate of this bug. ***

Comment 20 Richard W.M. Jones 2018-01-29 17:09:28 UTC
Note I have made this bug public now because a duplicate was reported
by a member of the public who couldn't see this one.

Comment 21 Cathy Avery 2018-07-05 18:05:56 UTC
I'm assigning this bug to myself. Ravindra please continue to work this issue.


Note You need to log in before you can comment on or make changes to this bug.